Bug 75286 - /dev/sg[0-9]* devices should be managed by console.perms
/dev/sg[0-9]* devices should be managed by console.perms
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-06 16:27 EDT by Robert P. J. Day
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 13:09:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2002-10-06 16:27:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
  for systems that have ATAPI CD drives that are emulating SCSI devices, access
to the drive via the /dev/sg* devices is initially restricted to the root
account.  it would be helpful if a couple of additional lines were added to
/etc/security/console.perms, as in:

<scsi>=/dev/sg[0-9]*
<console> 0600 <scsi> 0600 root

this would make the CD drive accessible to the lone non-priv user who happens to
be using the machine, if i read the console.perms file correctly.  i tried it,
and it seems to work.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install RH 8.0
2.try to access CD-ROM as a non-root user via, say, cdrecord
3.watch it fail
	

Actual Results:    access to CD-ROM works only for root account until
console.perms file is modified

Additional info:
Comment 1 Jeremy Katz 2003-02-19 13:09:28 EST
Instead, it does /dev/cdrwriter* and kudzu sets up appropriate links for CD
writer devices that are found

Note You need to log in before you can comment on or make changes to this bug.